<?xml version="1.0" encoding="utf-8"?>
<!--XBRL document created by Certent Disclosure Management 25.4.0.1 -->
<!--Based on XBRL 2.1-->
<!--Created on: 5/7/2026 2:08:10 PM-->
<!--Modified on: 5/7/2026 2:08:10 PM-->
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <roleRef xlink:type="simple" xlink:href="imkt-20260328.xsd#StatementCondensedConsolidatedBalanceSheets" roleURI="http://www.ingles-markets.com/role/StatementCondensedConsolidatedBalanceSheets"></roleRef>
  <roleRef xlink:type="simple" xlink:href="imkt-20260328.xsd#StatementCondensedConsolidatedStatementsOfIncomeAndComprehensiveIncome" roleURI="http://www.ingles-markets.com/role/StatementCondensedConsolidatedStatementsOfIncomeAndComprehensiveIncome"></roleRef>
  <roleRef xlink:type="simple" xlink:href="imkt-20260328.xsd#StatementCondensedConsolidatedStatementsOfCashFlows" roleURI="http://www.ingles-markets.com/role/StatementCondensedConsolidatedStatementsOfCashFlows"></roleRef>
  <roleRef xlink:type="simple" xlink:href="imkt-20260328.xsd#DisclosureLeasesFutureMaturitiesOfLeaseLiabilitiesDetailsAltCalc" roleURI="http://www.ingles-markets.com/role/DisclosureLeasesFutureMaturitiesOfLeaseLiabilitiesDetailsAltCalc"></roleRef>
  <roleRef xlink:type="simple" xlink:href="imkt-20260328.xsd#DisclosureAccruedExpensesAndCurrentPortionOfOtherLongTermLiabilitiesAccruedExpensesAndCurrentPortionOfOtherLongTermLiabilitiesDetails" roleURI="http://www.ingles-markets.com/role/DisclosureAccruedExpensesAndCurrentPortionOfOtherLongTermLiabilitiesAccruedExpensesAndCurrentPortionOfOtherLongTermLiabilitiesDetails"></roleRef>
  <roleRef xlink:type="simple" xlink:href="imkt-20260328.xsd#DisclosureEarningsPerCommonShareReconciliationOfNumeratorsAndDenominatorsOfBasicAndDilutedEarningsPerShareDetails" roleURI="http://www.ingles-markets.com/role/DisclosureEarningsPerCommonShareReconciliationOfNumeratorsAndDenominatorsOfBasicAndDilutedEarningsPerShareDetails"></roleRef>
  <roleRef xlink:type="simple" xlink:href="imkt-20260328.xsd#DisclosureLeasesFutureMaturitiesOfLeaseLiabilitiesDetails" roleURI="http://www.ingles-markets.com/role/DisclosureLeasesFutureMaturitiesOfLeaseLiabilitiesDetails"></roleRef>
  <roleRef xlink:type="simple" xlink:href="imkt-20260328.xsd#DisclosureLeasesScheduleOfRentalIncomeDetails" roleURI="http://www.ingles-markets.com/role/DisclosureLeasesScheduleOfRentalIncomeDetails"></roleRef>
  <roleRef xlink:type="simple" xlink:href="imkt-20260328.xsd#DisclosureLeasesFutureMinimumOperatingLeaseReceiptsDetails" roleURI="http://www.ingles-markets.com/role/DisclosureLeasesFutureMinimumOperatingLeaseReceiptsDetails"></roleRef>
  <roleRef xlink:type="simple" xlink:href="imkt-20260328.xsd#DisclosureSegmentInformationOperationsByLineOfBusinessDetails" roleURI="http://www.ingles-markets.com/role/DisclosureSegmentInformationOperationsByLineOfBusinessDetails"></roleRef>
  <calculationLink xlink:role="http://www.ingles-markets.com/role/StatementCondensedConsolidatedBalanceSheets" xlink:type="extended" xlink:title="00100 - Statement - Condensed Consolidated Balance Sheets">
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_Assets" xlink:label="us-gaap_Assets"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_AssetsCurrent" xlink:label="us-gaap_AssetsCurrent_639137596811269460"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_AssetsCurrent_639137596811269460" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_CashEquivalentsAtCarryingValue" xlink:label="us-gaap_CashEquivalentsAtCarryingValue_639137596811289520"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AssetsCurrent_639137596811269460" xlink:to="us-gaap_CashEquivalentsAtCarryingValue_639137596811289520" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_ReceivablesNetCurrent" xlink:label="us-gaap_ReceivablesNetCurrent_639137596811289520"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AssetsCurrent_639137596811269460" xlink:to="us-gaap_ReceivablesNetCurrent_639137596811289520" order="2" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_InventoryNet" xlink:label="us-gaap_InventoryNet_639137596811289520"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AssetsCurrent_639137596811269460" xlink:to="us-gaap_InventoryNet_639137596811289520" order="3" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OtherAssetsCurrent" xlink:label="us-gaap_OtherAssetsCurrent_639137596811289520"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AssetsCurrent_639137596811269460" xlink:to="us-gaap_OtherAssetsCurrent_639137596811289520" order="4" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_PropertyPlantAndEquipmentNet" xlink:label="us-gaap_PropertyPlantAndEquipmentNet_639137596811289520"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_PropertyPlantAndEquipmentNet_639137596811289520" order="2" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OperatingLeaseRightOfUseAsset" xlink:label="us-gaap_OperatingLeaseRightOfUseAsset_639137596811289520"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_OperatingLeaseRightOfUseAsset_639137596811289520" order="3" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OtherAssetsNoncurrent" xlink:label="us-gaap_OtherAssetsNoncurrent_639137596811289520"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_OtherAssetsNoncurrent_639137596811289520" order="4" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LiabilitiesAndStockholdersEquity" xlink:label="us-gaap_LiabilitiesAndStockholdersEquity"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_Liabilities" xlink:label="us-gaap_Liabilities_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesAndStockholdersEquity" xlink:to="us-gaap_Liabilities_639137596811396443" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LiabilitiesCurrent" xlink:label="us-gaap_LiabilitiesCurrent_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities_639137596811396443" xlink:to="us-gaap_LiabilitiesCurrent_639137596811396443" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LongTermDebtCurrent" xlink:label="us-gaap_LongTermDebtCurrent_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesCurrent_639137596811396443" xlink:to="us-gaap_LongTermDebtCurrent_639137596811396443" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OperatingLeaseLiabilityCurrent" xlink:label="us-gaap_OperatingLeaseLiabilityCurrent_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesCurrent_639137596811396443" xlink:to="us-gaap_OperatingLeaseLiabilityCurrent_639137596811396443" order="2" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_FinanceLeaseLiabilityCurrent" xlink:label="us-gaap_FinanceLeaseLiabilityCurrent_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesCurrent_639137596811396443" xlink:to="us-gaap_FinanceLeaseLiabilityCurrent_639137596811396443" order="3" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_AccountsPayableTradeCurrent" xlink:label="us-gaap_AccountsPayableTradeCurrent_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesCurrent_639137596811396443" xlink:to="us-gaap_AccountsPayableTradeCurrent_639137596811396443" order="4" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_AccruedLiabilitiesCurrent" xlink:label="us-gaap_AccruedLiabilitiesCurrent_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesCurrent_639137596811396443" xlink:to="us-gaap_AccruedLiabilitiesCurrent_639137596811396443" order="5" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_DeferredIncomeTaxLiabilitiesNet" xlink:label="us-gaap_DeferredIncomeTaxLiabilitiesNet_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities_639137596811396443" xlink:to="us-gaap_DeferredIncomeTaxLiabilitiesNet_639137596811396443" order="2" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LongTermDebtNoncurrent" xlink:label="us-gaap_LongTermDebtNoncurrent_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities_639137596811396443" xlink:to="us-gaap_LongTermDebtNoncurrent_639137596811396443" order="3" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OperatingLeaseLiabilityNoncurrent" xlink:label="us-gaap_OperatingLeaseLiabilityNoncurrent_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities_639137596811396443" xlink:to="us-gaap_OperatingLeaseLiabilityNoncurrent_639137596811396443" order="4" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_FinanceLeaseLiabilityNoncurrent" xlink:label="us-gaap_FinanceLeaseLiabilityNoncurrent_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities_639137596811396443" xlink:to="us-gaap_FinanceLeaseLiabilityNoncurrent_639137596811396443" order="5" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OtherLiabilitiesNoncurrent" xlink:label="us-gaap_OtherLiabilitiesNoncurrent_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities_639137596811396443" xlink:to="us-gaap_OtherLiabilitiesNoncurrent_639137596811396443" order="6" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_StockholdersEquity" xlink:label="us-gaap_StockholdersEquity_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesAndStockholdersEquity" xlink:to="us-gaap_StockholdersEquity_639137596811396443" order="2" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_AdditionalPaidInCapital" xlink:label="us-gaap_AdditionalPaidInCapital_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity_639137596811396443" xlink:to="us-gaap_AdditionalPaidInCapital_639137596811396443" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax" xlink:label="us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity_639137596811396443" xlink:to="us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax_639137596811396443" order="2" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_CommonStockValue" xlink:label="us-gaap_CommonStockValue_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity_639137596811396443" xlink:to="us-gaap_CommonStockValue_639137596811396443" order="3" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_PreferredStockValue" xlink:label="us-gaap_PreferredStockValue_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity_639137596811396443" xlink:to="us-gaap_PreferredStockValue_639137596811396443" order="4" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_RetainedEarningsAccumulatedDeficit" xlink:label="us-gaap_RetainedEarningsAccumulatedDeficit_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity_639137596811396443" xlink:to="us-gaap_RetainedEarningsAccumulatedDeficit_639137596811396443" order="5" use="optional" weight="1" priority="2"></calculationArc></calculationLink>
  <calculationLink xlink:role="http://www.ingles-markets.com/role/StatementCondensedConsolidatedStatementsOfIncomeAndComprehensiveIncome" xlink:type="extended" xlink:title="00200 - Statement - Condensed Consolidated Statements of Income and Comprehensive Income">
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_ComprehensiveIncomeNetOfTax" xlink:label="us-gaap_ComprehensiveIncomeNetOfTax"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_NetIncomeLoss" xlink:label="us-gaap_NetIncomeLoss_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_ComprehensiveIncomeNetOfTax" xlink:to="us-gaap_NetIncomeLoss_639137596811396443" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_IncomeTaxExpenseBenefit" xlink:label="us-gaap_IncomeTaxExpenseBenefit_639137596811396443"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLoss_639137596811396443" xlink:to="us-gaap_IncomeTaxExpenseBenefit_639137596811396443" order="1" use="optional" weight="-1" priority="4"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:label="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLoss_639137596811396443" xlink:to="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_639137596811412748" order="2" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_InterestExpense" xlink:label="us-gaap_InterestExpense_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_639137596811412748" xlink:to="us-gaap_InterestExpense_639137596811412748" order="1" use="optional" weight="-1" priority="3"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OtherNonoperatingIncomeExpense" xlink:label="us-gaap_OtherNonoperatingIncomeExpense_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_639137596811412748" xlink:to="us-gaap_OtherNonoperatingIncomeExpense_639137596811412748" order="2" use="optional" weight="1" priority="3"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OperatingIncomeLoss" xlink:label="us-gaap_OperatingIncomeLoss_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_639137596811412748" xlink:to="us-gaap_OperatingIncomeLoss_639137596811412748" order="3" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_GrossProfit" xlink:label="us-gaap_GrossProfit_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss_639137596811412748" xlink:to="us-gaap_GrossProfit_639137596811412748" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_Revenues" xlink:label="us-gaap_Revenues_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_GrossProfit_639137596811412748" xlink:to="us-gaap_Revenues_639137596811412748" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_CostOfGoodsAndServicesSold" xlink:label="us-gaap_CostOfGoodsAndServicesSold_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_GrossProfit_639137596811412748" xlink:to="us-gaap_CostOfGoodsAndServicesSold_639137596811412748" order="2" use="optional" weight="-1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OperatingExpenses" xlink:label="us-gaap_OperatingExpenses_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss_639137596811412748" xlink:to="us-gaap_OperatingExpenses_639137596811412748" order="2" use="optional" weight="-1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_GainLossOnDispositionOfAssets" xlink:label="us-gaap_GainLossOnDispositionOfAssets_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss_639137596811412748" xlink:to="us-gaap_GainLossOnDispositionOfAssets_639137596811412748" order="3" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OtherComprehensiveIncomeLossNetOfTax" xlink:label="us-gaap_OtherComprehensiveIncomeLossNetOfTax_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_ComprehensiveIncomeNetOfTax" xlink:to="us-gaap_OtherComprehensiveIncomeLossNetOfTax_639137596811412748" order="2" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OtherComprehensiveIncomeLossTax" xlink:label="us-gaap_OtherComprehensiveIncomeLossTax_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OtherComprehensiveIncomeLossNetOfTax_639137596811412748" xlink:to="us-gaap_OtherComprehensiveIncomeLossTax_639137596811412748" order="1" use="optional" weight="-1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OtherComprehensiveIncomeLossDerivativeExcludedComponentIncreaseDecreaseAfterAdjustmentsBeforeTaxParent" xlink:label="us-gaap_OtherComprehensiveIncomeLossDerivativeExcludedComponentIncreaseDecreaseAfterAdjustmentsBeforeTaxParent_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OtherComprehensiveIncomeLossNetOfTax_639137596811412748" xlink:to="us-gaap_OtherComprehensiveIncomeLossDerivativeExcludedComponentIncreaseDecreaseAfterAdjustmentsBeforeTaxParent_639137596811412748" order="2" use="optional" weight="1" priority="3"></calculationArc></calculationLink>
  <calculationLink xlink:role="http://www.ingles-markets.com/role/StatementCondensedConsolidatedStatementsOfCashFlows" xlink:type="extended" xlink:title="00400 - Statement - Condensed Consolidated Statements of Cash Flows">
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseExcludingExchangeRateEffect" xlink:label="us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseExcludingExchangeRateEffect"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:label="us-gaap_NetCashProvidedByUsedInOperatingActivities_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseExcludingExchangeRateEffect" xlink:to="us-gaap_NetCashProvidedByUsedInOperatingActivities_639137596811412748" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_NetIncomeLoss" xlink:label="us-gaap_NetIncomeLoss_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities_639137596811412748" xlink:to="us-gaap_NetIncomeLoss_639137596811412748" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_DepreciationAndAmortization" xlink:label="us-gaap_DepreciationAndAmortization_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities_639137596811412748" xlink:to="us-gaap_DepreciationAndAmortization_639137596811412748" order="2" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OperatingLeaseRightOfUseAssetAmortizationExpense" xlink:label="us-gaap_OperatingLeaseRightOfUseAssetAmortizationExpense_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities_639137596811412748" xlink:to="us-gaap_OperatingLeaseRightOfUseAssetAmortizationExpense_639137596811412748" order="3" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_GainLossOnDispositionOfAssets" xlink:label="us-gaap_GainLossOnDispositionOfAssets_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities_639137596811412748" xlink:to="us-gaap_GainLossOnDispositionOfAssets_639137596811412748" order="4" use="optional" weight="-1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_DeferredIncomeTaxExpenseBenefit" xlink:label="us-gaap_DeferredIncomeTaxExpenseBenefit_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities_639137596811412748" xlink:to="us-gaap_DeferredIncomeTaxExpenseBenefit_639137596811412748" order="5" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_IncreaseDecreaseInAccountsAndOtherReceivables" xlink:label="us-gaap_IncreaseDecreaseInAccountsAndOtherReceivables_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities_639137596811412748" xlink:to="us-gaap_IncreaseDecreaseInAccountsAndOtherReceivables_639137596811412748" order="6" use="optional" weight="-1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_IncreaseDecreaseInInventories" xlink:label="us-gaap_IncreaseDecreaseInInventories_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities_639137596811412748" xlink:to="us-gaap_IncreaseDecreaseInInventories_639137596811412748" order="7" use="optional" weight="-1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="imkt-20260328.xsd#imkta_IncreaseDecreaseInOperatingLeaseLiabilities" xlink:label="imkta_IncreaseDecreaseInOperatingLeaseLiabilities_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities_639137596811412748" xlink:to="imkta_IncreaseDecreaseInOperatingLeaseLiabilities_639137596811412748" order="8" use="optional" weight="-1" priority="4"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_IncreaseDecreaseInOtherOperatingAssets" xlink:label="us-gaap_IncreaseDecreaseInOtherOperatingAssets_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities_639137596811412748" xlink:to="us-gaap_IncreaseDecreaseInOtherOperatingAssets_639137596811412748" order="9" use="optional" weight="-1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_IncreaseDecreaseInAccountsPayableAndAccruedLiabilities" xlink:label="us-gaap_IncreaseDecreaseInAccountsPayableAndAccruedLiabilities_639137596811412748"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities_639137596811412748" xlink:to="us-gaap_IncreaseDecreaseInAccountsPayableAndAccruedLiabilities_639137596811412748" order="10" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities" xlink:label="us-gaap_NetCashProvidedByUsedInInvestingActivities_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseExcludingExchangeRateEffect" xlink:to="us-gaap_NetCashProvidedByUsedInInvestingActivities_639137596811423926" order="2" use="optional" weight="1" priority="4"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_ProceedsFromSaleOfOtherPropertyPlantAndEquipment" xlink:label="us-gaap_ProceedsFromSaleOfOtherPropertyPlantAndEquipment_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInInvestingActivities_639137596811423926" xlink:to="us-gaap_ProceedsFromSaleOfOtherPropertyPlantAndEquipment_639137596811423926" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_PaymentsToAcquirePropertyPlantAndEquipment" xlink:label="us-gaap_PaymentsToAcquirePropertyPlantAndEquipment_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInInvestingActivities_639137596811423926" xlink:to="us-gaap_PaymentsToAcquirePropertyPlantAndEquipment_639137596811423926" order="2" use="optional" weight="-1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:label="us-gaap_NetCashProvidedByUsedInFinancingActivities_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseExcludingExchangeRateEffect" xlink:to="us-gaap_NetCashProvidedByUsedInFinancingActivities_639137596811423926" order="3" use="optional" weight="1" priority="3"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_RepaymentsOfLongTermDebt" xlink:label="us-gaap_RepaymentsOfLongTermDebt_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivities_639137596811423926" xlink:to="us-gaap_RepaymentsOfLongTermDebt_639137596811423926" order="1" use="optional" weight="-1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_PaymentsOfDividendsCommonStock" xlink:label="us-gaap_PaymentsOfDividendsCommonStock_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivities_639137596811423926" xlink:to="us-gaap_PaymentsOfDividendsCommonStock_639137596811423926" order="2" use="optional" weight="-1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_FinanceLeasePrincipalPayments" xlink:label="us-gaap_FinanceLeasePrincipalPayments_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivities_639137596811423926" xlink:to="us-gaap_FinanceLeasePrincipalPayments_639137596811423926" order="3" use="optional" weight="-1" priority="2"></calculationArc></calculationLink>
  <calculationLink xlink:role="http://www.ingles-markets.com/role/DisclosureLeasesFutureMaturitiesOfLeaseLiabilitiesDetailsAltCalc" xlink:type="extended" xlink:title="40502 - Disclosure - Leases (Future Maturities Of Lease Liabilities) (Details) Alt Calc">
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_FinanceLeaseLiabilityPaymentsDue" xlink:label="us-gaap_FinanceLeaseLiabilityPaymentsDue"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_FinanceLeaseLiability" xlink:label="us-gaap_FinanceLeaseLiability_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_FinanceLeaseLiabilityPaymentsDue" xlink:to="us-gaap_FinanceLeaseLiability_639137596811423926" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_FinanceLeaseLiabilityUndiscountedExcessAmount" xlink:label="us-gaap_FinanceLeaseLiabilityUndiscountedExcessAmount_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_FinanceLeaseLiabilityPaymentsDue" xlink:to="us-gaap_FinanceLeaseLiabilityUndiscountedExcessAmount_639137596811423926" order="2" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LesseeOperatingLeaseLiabilityUndiscountedExcessAmount" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityUndiscountedExcessAmount_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:to="us-gaap_LesseeOperatingLeaseLiabilityUndiscountedExcessAmount_639137596811423926" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OperatingLeaseLiability" xlink:label="us-gaap_OperatingLeaseLiability_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:to="us-gaap_OperatingLeaseLiability_639137596811423926" order="2" use="optional" weight="1" priority="2"></calculationArc></calculationLink>
  <calculationLink xlink:role="http://www.ingles-markets.com/role/DisclosureAccruedExpensesAndCurrentPortionOfOtherLongTermLiabilitiesAccruedExpensesAndCurrentPortionOfOtherLongTermLiabilitiesDetails" xlink:type="extended" xlink:title="40602 - Disclosure - Accrued Expenses and Current Portion of Other Long-Term Liabilities (Accrued Expenses and Current Portion of Other Long-Term Liabilities) (Details)">
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_AccruedLiabilitiesCurrent" xlink:label="us-gaap_AccruedLiabilitiesCurrent"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_AccrualForTaxesOtherThanIncomeTaxesCurrent" xlink:label="us-gaap_AccrualForTaxesOtherThanIncomeTaxesCurrent_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="us-gaap_AccrualForTaxesOtherThanIncomeTaxesCurrent_639137596811423926" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_AccruedInsuranceCurrent" xlink:label="us-gaap_AccruedInsuranceCurrent_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="us-gaap_AccruedInsuranceCurrent_639137596811423926" order="2" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_AccruedIncomeTaxesCurrent" xlink:label="us-gaap_AccruedIncomeTaxesCurrent_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="us-gaap_AccruedIncomeTaxesCurrent_639137596811423926" order="3" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_AccruedSalariesCurrent" xlink:label="us-gaap_AccruedSalariesCurrent_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="us-gaap_AccruedSalariesCurrent_639137596811423926" order="4" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_InterestPayableCurrent" xlink:label="us-gaap_InterestPayableCurrent_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="us-gaap_InterestPayableCurrent_639137596811423926" order="5" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OtherAccruedLiabilitiesCurrent" xlink:label="us-gaap_OtherAccruedLiabilitiesCurrent_639137596811423926"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="us-gaap_OtherAccruedLiabilitiesCurrent_639137596811423926" order="6" use="optional" weight="1" priority="2"></calculationArc></calculationLink>
  <calculationLink xlink:role="http://www.ingles-markets.com/role/DisclosureEarningsPerCommonShareReconciliationOfNumeratorsAndDenominatorsOfBasicAndDilutedEarningsPerShareDetails" xlink:type="extended" xlink:title="40902 - Disclosure - Earnings Per Common Share (Reconciliation of Numerators and Denominators of Basic and Diluted Earnings Per Share) (Details)">
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_NetIncomeLossAttributableToParentDiluted" xlink:label="us-gaap_NetIncomeLossAttributableToParentDiluted"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic" xlink:label="us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLossAttributableToParentDiluted" xlink:to="us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic_639137596811434153" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_PreferredStockDividendsAndOtherAdjustments" xlink:label="us-gaap_PreferredStockDividendsAndOtherAdjustments_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLossAttributableToParentDiluted" xlink:to="us-gaap_PreferredStockDividendsAndOtherAdjustments_639137596811434153" order="2" use="optional" weight="-1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding" xlink:label="us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_WeightedAverageNumberOfSharesOutstandingBasic" xlink:label="us-gaap_WeightedAverageNumberOfSharesOutstandingBasic_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding" xlink:to="us-gaap_WeightedAverageNumberOfSharesOutstandingBasic_639137596811434153" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment" xlink:label="us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding" xlink:to="us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment_639137596811434153" order="2" use="optional" weight="1" priority="2"></calculationArc></calculationLink>
  <calculationLink xlink:role="http://www.ingles-markets.com/role/DisclosureLeasesFutureMaturitiesOfLeaseLiabilitiesDetails" xlink:type="extended" xlink:title="41002 - Disclosure - Leases (Future Maturities of Lease Liabilities) (Details)">
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_FinanceLeaseLiabilityPaymentsDue" xlink:label="us-gaap_FinanceLeaseLiabilityPaymentsDue"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_FinanceLeaseLiabilityPaymentsDueYearFour" xlink:label="us-gaap_FinanceLeaseLiabilityPaymentsDueYearFour_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_FinanceLeaseLiabilityPaymentsDue" xlink:to="us-gaap_FinanceLeaseLiabilityPaymentsDueYearFour_639137596811434153" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_FinanceLeaseLiabilityPaymentsDueNextTwelveMonths" xlink:label="us-gaap_FinanceLeaseLiabilityPaymentsDueNextTwelveMonths_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_FinanceLeaseLiabilityPaymentsDue" xlink:to="us-gaap_FinanceLeaseLiabilityPaymentsDueNextTwelveMonths_639137596811434153" order="2" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_FinanceLeaseLiabilityPaymentsDueYearThree" xlink:label="us-gaap_FinanceLeaseLiabilityPaymentsDueYearThree_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_FinanceLeaseLiabilityPaymentsDue" xlink:to="us-gaap_FinanceLeaseLiabilityPaymentsDueYearThree_639137596811434153" order="3" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_FinanceLeaseLiabilityPaymentsDueYearTwo" xlink:label="us-gaap_FinanceLeaseLiabilityPaymentsDueYearTwo_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_FinanceLeaseLiabilityPaymentsDue" xlink:to="us-gaap_FinanceLeaseLiabilityPaymentsDueYearTwo_639137596811434153" order="4" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsRemainderOfFiscalYear" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityPaymentsRemainderOfFiscalYear_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:to="us-gaap_LesseeOperatingLeaseLiabilityPaymentsRemainderOfFiscalYear_639137596811434153" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueAfterYearFive" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueAfterYearFive_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:to="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueAfterYearFive_639137596811434153" order="2" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearFour" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearFour_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:to="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearFour_639137596811434153" order="3" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueNextTwelveMonths" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueNextTwelveMonths_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:to="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueNextTwelveMonths_639137596811434153" order="4" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearThree" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearThree_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:to="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearThree_639137596811434153" order="5" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearTwo" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearTwo_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:to="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearTwo_639137596811434153" order="6" use="optional" weight="1" priority="2"></calculationArc></calculationLink>
  <calculationLink xlink:role="http://www.ingles-markets.com/role/DisclosureLeasesScheduleOfRentalIncomeDetails" xlink:type="extended" xlink:title="41003 - Disclosure - Leases (Schedule of Rental Income) (Details)">
    <loc xlink:type="locator" xlink:href="imkt-20260328.xsd#imkta_OperatingLeasesIncomeStatementLeaseRevenueNet" xlink:label="imkta_OperatingLeasesIncomeStatementLeaseRevenueNet"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OperatingLeasesIncomeStatementDepreciationExpenseOnPropertySubjectToOrHeldForLease" xlink:label="us-gaap_OperatingLeasesIncomeStatementDepreciationExpenseOnPropertySubjectToOrHeldForLease_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="imkta_OperatingLeasesIncomeStatementLeaseRevenueNet" xlink:to="us-gaap_OperatingLeasesIncomeStatementDepreciationExpenseOnPropertySubjectToOrHeldForLease_639137596811434153" order="1" use="optional" weight="-1" priority="1"></calculationArc>
    <loc xlink:type="locator" xlink:href="imkt-20260328.xsd#imkta_OperatingLeasesIncomeStatementOtherExpenses" xlink:label="imkta_OperatingLeasesIncomeStatementOtherExpenses_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="imkta_OperatingLeasesIncomeStatementLeaseRevenueNet" xlink:to="imkta_OperatingLeasesIncomeStatementOtherExpenses_639137596811434153" order="2" use="optional" weight="-1" priority="1"></calculationArc>
    <loc xlink:type="locator" xlink:href="imkt-20260328.xsd#imkta_RentsEarnedOnOwnedAndSubleasedProperties" xlink:label="imkta_RentsEarnedOnOwnedAndSubleasedProperties_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="imkta_OperatingLeasesIncomeStatementLeaseRevenueNet" xlink:to="imkta_RentsEarnedOnOwnedAndSubleasedProperties_639137596811434153" order="3" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="imkt-20260328.xsd#imkta_OperatingLeasesVariableRentalIncome" xlink:label="imkta_OperatingLeasesVariableRentalIncome_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="imkta_RentsEarnedOnOwnedAndSubleasedProperties_639137596811434153" xlink:to="imkta_OperatingLeasesVariableRentalIncome_639137596811434153" order="1" use="optional" weight="1" priority="6"></calculationArc>
    <loc xlink:type="locator" xlink:href="imkt-20260328.xsd#imkta_OperatingLeasesBaseRentalIncome" xlink:label="imkta_OperatingLeasesBaseRentalIncome_639137596811434153"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="imkta_RentsEarnedOnOwnedAndSubleasedProperties_639137596811434153" xlink:to="imkta_OperatingLeasesBaseRentalIncome_639137596811434153" order="2" use="optional" weight="1" priority="6"></calculationArc></calculationLink>
  <calculationLink xlink:role="http://www.ingles-markets.com/role/DisclosureLeasesFutureMinimumOperatingLeaseReceiptsDetails" xlink:type="extended" xlink:title="41004 - Disclosure - Leases (Future Minimum Operating Lease Receipts) (Details)">
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LessorOperatingLeasePaymentsToBeReceived" xlink:label="us-gaap_LessorOperatingLeasePaymentsToBeReceived"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LessorOperatingLeasePaymentsToBeReceivedRemainderOfFiscalYear" xlink:label="us-gaap_LessorOperatingLeasePaymentsToBeReceivedRemainderOfFiscalYear_639137596811443939"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LessorOperatingLeasePaymentsToBeReceived" xlink:to="us-gaap_LessorOperatingLeasePaymentsToBeReceivedRemainderOfFiscalYear_639137596811443939" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LessorOperatingLeasePaymentsToBeReceivedThereafter" xlink:label="us-gaap_LessorOperatingLeasePaymentsToBeReceivedThereafter_639137596811443939"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LessorOperatingLeasePaymentsToBeReceived" xlink:to="us-gaap_LessorOperatingLeasePaymentsToBeReceivedThereafter_639137596811443939" order="2" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LessorOperatingLeasePaymentsToBeReceivedFourYears" xlink:label="us-gaap_LessorOperatingLeasePaymentsToBeReceivedFourYears_639137596811504289"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LessorOperatingLeasePaymentsToBeReceived" xlink:to="us-gaap_LessorOperatingLeasePaymentsToBeReceivedFourYears_639137596811504289" order="3" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LessorOperatingLeasePaymentsToBeReceivedNextTwelveMonths" xlink:label="us-gaap_LessorOperatingLeasePaymentsToBeReceivedNextTwelveMonths_639137596811504289"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LessorOperatingLeasePaymentsToBeReceived" xlink:to="us-gaap_LessorOperatingLeasePaymentsToBeReceivedNextTwelveMonths_639137596811504289" order="4" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LessorOperatingLeasePaymentsToBeReceivedThreeYears" xlink:label="us-gaap_LessorOperatingLeasePaymentsToBeReceivedThreeYears_639137596811504289"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LessorOperatingLeasePaymentsToBeReceived" xlink:to="us-gaap_LessorOperatingLeasePaymentsToBeReceivedThreeYears_639137596811504289" order="5" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_LessorOperatingLeasePaymentsToBeReceivedTwoYears" xlink:label="us-gaap_LessorOperatingLeasePaymentsToBeReceivedTwoYears_639137596811504289"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LessorOperatingLeasePaymentsToBeReceived" xlink:to="us-gaap_LessorOperatingLeasePaymentsToBeReceivedTwoYears_639137596811504289" order="6" use="optional" weight="1" priority="2"></calculationArc></calculationLink>
  <calculationLink xlink:role="http://www.ingles-markets.com/role/DisclosureSegmentInformationOperationsByLineOfBusinessDetails" xlink:type="extended" xlink:title="41102 - Disclosure - Segment Information (Operations by Line of Business) (Details)">
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_NetIncomeLoss" xlink:label="us-gaap_NetIncomeLoss"></loc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OperatingIncomeLoss" xlink:label="us-gaap_OperatingIncomeLoss_639137596811504289"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLoss" xlink:to="us-gaap_OperatingIncomeLoss_639137596811504289" order="1" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_Revenues" xlink:label="us-gaap_Revenues_639137596811514332"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss_639137596811504289" xlink:to="us-gaap_Revenues_639137596811514332" order="1" use="optional" weight="1" priority="3"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_CostOfGoodsAndServicesSold" xlink:label="us-gaap_CostOfGoodsAndServicesSold_639137596811514332"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss_639137596811504289" xlink:to="us-gaap_CostOfGoodsAndServicesSold_639137596811514332" order="2" use="optional" weight="-1" priority="3"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_SellingGeneralAndAdministrativeExpense" xlink:label="us-gaap_SellingGeneralAndAdministrativeExpense_639137596811514332"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss_639137596811504289" xlink:to="us-gaap_SellingGeneralAndAdministrativeExpense_639137596811514332" order="3" use="optional" weight="-1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="imkt-20260328.xsd#imkta_InsuranceExpense" xlink:label="imkta_InsuranceExpense_639137596811514332"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss_639137596811504289" xlink:to="imkta_InsuranceExpense_639137596811514332" order="4" use="optional" weight="-1" priority="4"></calculationArc>
    <loc xlink:type="locator" xlink:href="imkt-20260328.xsd#imkta_RepairsAndMaintenanceCosts" xlink:label="imkta_RepairsAndMaintenanceCosts_639137596811514332"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss_639137596811504289" xlink:to="imkta_RepairsAndMaintenanceCosts_639137596811514332" order="5" use="optional" weight="-1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="imkt-20260328.xsd#imkta_BankCharges" xlink:label="imkta_BankCharges_639137596811514332"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss_639137596811504289" xlink:to="imkta_BankCharges_639137596811514332" order="6" use="optional" weight="-1" priority="3"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_DepreciationAndAmortization" xlink:label="us-gaap_DepreciationAndAmortization_639137596811514332"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss_639137596811504289" xlink:to="us-gaap_DepreciationAndAmortization_639137596811514332" order="7" use="optional" weight="-1" priority="3"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_UtilitiesOperatingExpense" xlink:label="us-gaap_UtilitiesOperatingExpense_639137596811514332"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss_639137596811504289" xlink:to="us-gaap_UtilitiesOperatingExpense_639137596811514332" order="8" use="optional" weight="-1" priority="3"></calculationArc>
    <loc xlink:type="locator" xlink:href="imkt-20260328.xsd#imkta_OtherRetailGroceryOperatingExpenses" xlink:label="imkta_OtherRetailGroceryOperatingExpenses_639137596811514332"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss_639137596811504289" xlink:to="imkta_OtherRetailGroceryOperatingExpenses_639137596811514332" order="9" use="optional" weight="-1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OtherOperatingIncome" xlink:label="us-gaap_OtherOperatingIncome_639137596811514332"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLoss" xlink:to="us-gaap_OtherOperatingIncome_639137596811514332" order="2" use="optional" weight="1" priority="3"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_OtherNonoperatingIncomeExpense" xlink:label="us-gaap_OtherNonoperatingIncomeExpense_639137596811514332"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLoss" xlink:to="us-gaap_OtherNonoperatingIncomeExpense_639137596811514332" order="3" use="optional" weight="1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_IncomeTaxExpenseBenefit" xlink:label="us-gaap_IncomeTaxExpenseBenefit_639137596811514332"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLoss" xlink:to="us-gaap_IncomeTaxExpenseBenefit_639137596811514332" order="4" use="optional" weight="-1" priority="2"></calculationArc>
    <loc xlink:type="locator" xlink:href="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd#us-gaap_InterestExpense" xlink:label="us-gaap_InterestExpense_639137596811514332"></loc>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLoss" xlink:to="us-gaap_InterestExpense_639137596811514332" order="5" use="optional" weight="-1" priority="2"></calculationArc></calculationLink></linkbase>
